<?php namespace Myriad\SharePoint;

/**
 * Class ConfigurationFactory is responsible for creating Configuration objects.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint
 */
class ConfigurationFactory {

  /**
   * Creates a configuration object from the provided configuration.
   *
   * @param array $config The configuration to load into the object.
   *
   * @return \Myriad\SharePoint\Configuration
   */
  public function create($config) {
    return new Configuration($config);
  }
}