<?php namespace Myriad\SharePoint;

/**
 * Class Tenant Tenant The name of the Tenant in SharePointOnline.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint
 */
class Tenant implements Contracts\Tenant {

  /**
   * @var string The name of the Tenant.
   */
  private $name;

  /**
   * Creates a new object.
   * @param string $name THe name of the Tenant.
   */
  public function __construct($name) {
    $this->name = $name;
  }

  /**
   * Returns the name of the Tenant.
   *
   * @return string
   */
  public function getName() {
    return $this->name;
  }
}